Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Interface ExtractorFactory<T extends Extractor<?>>

Type Parameters:
  `T` - the type of the `Extractor` to be created by this factory.

All Superinterfaces:
  ExtractorDescription

All Known Implementing Classes:
  SimpleExtractorFactory

    public interface ExtractorFactory<T extends Extractor<?>>

extends ExtractorDescription

Interface defining a factory for `Extractor`.

Method Summary
`T` | `createExtractor()` Creates an extractor instance.
`String` | `getExampleInput()` An example input file for the extractor, to be used in auto-generated documentation.
`Class<T>` | `getExtractorType()` Returns the extractor type.
`Collection<MIMEType>` | `getSupportedMIMETypes()` Supports wildcards, e.g.

Methods inherited from interface org.apache.any23.extractor.ExtractorDescription
`getExtractorName, getPrefixes`

Method Detail

### getExtractorType

    Class<T> getExtractorType()

  Returns the extractor type.

  Returns:
    the not `null` extractor class.

### createExtractor

    T createExtractor()

  Creates an extractor instance.

  Returns:
    an instance of the extractor associated to this factory.

### getSupportedMIMETypes

    Collection<MIMEType> getSupportedMIMETypes()

  Supports wildcards, e.g. `"*/*"` for blind extractors that merely call a web service.

### getExampleInput

    String getExampleInput()

  An example input file for the extractor, to be used in auto-generated documentation. For the `Extractor.BlindExtractor`, this is an arbitrary URI. For extractors that require content, it is the name of a file, relative to the factory's class file's location, it will be opened using factory.getClass().getResourceAsStream(filename). The example should be a short file that produces characteristic output if sent through the extractor. The file will be read as UTF-8, so it should either use that encoding or avoid characters outside of the US-ASCII range.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.